### Virtual Method

# Ide CodeIndexEntries get_next_entry

#### Declaration

    IdeCodeIndexEntry*
    get_next_entry (
      IdeCodeIndexEntries* self
    )

#### Description

This will fetch next entry in index.

When all of the entries have been exhausted, `NULL` should be returned.

Available since: | 3.32

#### Return value

Returns: | `IdeCodeIndexEntry`
| An `IdeCodeIndexEntry`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.